#pragma once

#include "NetF/NetF_Tick.h" // netfinity: Type safe time ticks

class CPerfLog
{
public:
	CPerfLog();

	void Startup();
	void Shutdown();
	void LogSamples();

protected:
	enum ELogMode{
		None,
		OneSample,
		AllSamples
	} m_eMode;
	CMilliSeconds m_dwInterval;
	bool m_bInitialized;
	CString m_strFilePath;
	CTick m_dwLastSampled;
	uint64 m_nLastSessionSentBytes;
	uint64 m_nLastSessionRecvBytes;
	uint64 m_nLastDnOH;
	uint64 m_nLastUpOH;

	void WriteSamples(UINT nCurDn, UINT nCurUp, UINT nCurDnOH, UINT uCurUpOH);
};

extern CPerfLog thePerfLog;
